RU/2: Forum. Discussion for users and developer OS/2 (eCS). : Ядро OS/4 и ArcaOS


Message list | Post new message | Reply to current | Home Search:
Previous message | Next message
From : Improver
To : valerius
Subj : Ядро OS/4 и ArcaOS

> > > > Правильный, в моём случае, файл ACPI3_23_01.PAT:
> > > > ---------------
> > > > FILE ACPI.PSD
> > > > VER 3118 C705D4A1060000100000
> > > > CHA 311F 00
> > > > ---------------
> > >
> > > Я делал тот патч. Возможно, ваш бинарь был дебаговый, а мой нет, или наоборот -- поэтому они отличаются, и патчи к ним нужны разные, хотя версия та же. Мой вот такой:
> > >
> > > acpi_az2.psd │ 227943│17/12/16│ 15:45
> > >
> > > а ваш?
> >
> > У меня такой:
> >
> > acpi.psd │ 226938│19.01.16│ 15:29
> >
> > Брал его вполне официально с сайта ArcaNoae. В нём, кстати, как-то зашили мой адрес, что эта версия ACPI лицензирована для меня, поэтому не факт, что другому подойдёт этот патч...
> >
> > И ещё, в АОС 5.0.1.3 для запуска на ядре OS4 достаточно заменить только этот файл, остальные файлы от ACPI 3.23.07, по всей видимости, совместимы с 3.23.01. :-)
> >
>
> а lxlite-ом распаковывал?

Нет...

> Хотя еще возможно, что при распаковке разными версиями lxlite могут получиться разные бинарники. Возможно еще, что это действительно немного разные бинарники, у которых почему-то забыли поменять версию. Судя по размеру, это не-дебаговый, как и у меня. Дебаговый весит около 400 КБ. Лицензирована -- да, но не думаю, что у патченных бинарников для разных юзеров разный размер. Скорее всего, они просто патчат бинарник. Но с другой стороны теоретически возможно, что они для разных юзеров они перелинковывают бинарник. Так ли это, неизвестно. Если так, то жёппа...

Да, там всё хитро сделали... Простым поиском по строке мой адрес не находится, видимо запакован/зашифрован. Но то, что он там есть -- это точно, т.к. при замене всего одного этого файла меняется надпись "лицензировано для того-то...".

И вчера вечером с ним меня ждал облом -- этот патченный acpi.psd на реальном железе стабильно вызывал трап 000е, хотя в виртуалке было всё ок. Попробовал пропатчить версию 3.22.03 -- тоже трап... Думаю, надо переходить на acpi4.bpd. :-)

> > А теперь немного вопросов по ядру OS4:
> > 1. При старте ругается на timer0 -- это нормально, или надо ещё что-то сделать?
>
> clock03.sys содержит в себе оба два timer0.sys и clock01.sys. Так что, timer0 для OS/4 не нужен. Сообщение, что timer0 не загрузился -- это варнинг, он не мешает. Если мешает, то заккоментарь. У меня не закомментарен. Я иногда гружу бимерское ядро, а config.sys у них у меня общий. Поэтому на бимерском наоборот, timer0 грузится, а clock03 игнорится.

ок, так и сделал.

> > 2. Как подавить вывод загружаемых драйверов? Ну или хотя бы тех, что "ок".
>
> Никак. А зачем его подавлять? Всегда включаю verbose режим, потому что так легче заметить ошибку, если что-то не работает

Ну, привык я к минимуму сообщений... А если будет ошибка, то пробегающие строки с "ок" не сдвинут её за пределы экрана -- успеешь прочитать. :-)

> > 3. Какой видеодрайвер лучше использовать? SDD, GenGRADD, Panorama?
>
> SNAP если он поддерживает твою видеокарту "железно". В противном случае панораму. Она умеет ставить Write Combine, и более удобный размер шрифта и размер иконок. GenGRADD этого всего не умеет. Хотя можно WC ставить при помощи тетриса/QSINIT, или нового screen03.sys, тогда быстро будет работать и GenGRADD. Если только здоровые шрифты или иконки не анноят.

Понятно... Оставлю пока панораму.

Fri 26 Jan 2018 09:15 Mozilla/5.0 (OS/2; Warp 4.5; rv:38.0) Gecko/20100101 SeaMonk




Programmed by Dmitri Maximovich, Dmitry I. Platonoff, Eugen Kuleshov.
25.09.99 (c) 1999, RU/2. All rights reserved.
Rewritten by Dmitry Ban. All rights ignored.